QGIS Application - Bug report #21965
Different length measures between QGIS 2.18 and QGIS 3.4
2019-04-30 08:30 PM - Florian Hruby

Status: Feedback

Priority: Normal

Assignee:

Category: Field calculator

Affected QGIS version:3.4.6 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29780
Description

| noticed that the "$length” command returns slightly different values in QGIS 2.18 and QGIS 3.4.6 As the values in QGIS 2.18 conincide
with calculation made in ArcMap, | suppose an issue with QGIS 3.4.6

History

#1 - 2019-05-01 06:26 PM - Giovanni Manghi
- Status changed from Open to Feedback

$ length > "The length calculated by this function respects both the current project's ellipsoid setting and distance unit settings. For example, if an ellipsoid

has been set for the project then the calculated length will be ellipsoidal, and if no ellipsoid is set then the calculated length will be planimetric”

are you sure you are using the same project properties regarding the ellipsoid being used?

#2 - 2019-05-01 06:50 PM - Florian Hruby

I’m pretty sure, but maybe you could check back on your side with both QGIS 3.4 and 2.18? the shape | used can be downloaded here:
https://drive.google.com/file/d/1azK-14w2hbW 1 XJicmIQkyHXDI3rnikgx/view?usp=sharing

#3 - 2019-05-01 06:56 PM - Giovanni Manghi

Florian Hruby wrote:

I’'m pretty sure, but maybe you could check back on your side with both QGIS 3.4 and 2.187? the shape | used can be downloaded here:
https://drive.google.com/file/d/1azK-14w2hbW1XJicmIQkyHXDI3rnikgx/view 2usp=sharing

nope, | don't have a 2.18 installation at the moment (not on the pc I'll have at hand in the upcoming days).

#4 - 2019-05-01 07:14 PM - Florian Hruby

Seems that the $length command gives the planar distance in QGIS 2.18, but the geodesic distance in QGIS 3.4:
https://gis.stackexchange.com/questions/321176/different-length-measures-in-qgis-vs-arcmap

Not sure if this is intentional?

2024-03-13 12



https://drive.google.com/file/d/1azK-l4w2hbW1XJicmIQkyHXDl3rnikqx/view?usp=sharing
https://drive.google.com/file/d/1azK-l4w2hbW1XJicmIQkyHXDl3rnikqx/view?usp=sharing
https://gis.stackexchange.com/questions/321176/different-length-measures-in-qgis-vs-arcmap

#5 - 2019-05-02 10:06 AM - Giovanni Manghi

Not sure if this is intentional ?

there have been changes, and they were by design.
